> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywithatoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stores | Payments API

> Retrieve stores via the Atoa Payments API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.

If your business has more than one store location and you want to manage staff and payments separately for each store, make sure to pass the correct store ID in the payment request.

> [!NOTE]
>
> When you sign up with Atoa, a **default (primary) store** is automatically
> created for your business. You can create or disable additional store
> locations from the Atoa Dashboard or Mobile app

If the `storeId` is **missing**, **incorrect**, or refers to a **disabled** store the
payment request will be routed to your default (primary) store.

### Authorization

Bearer `<token>`

**Response**

**page** `number`

Current page number

**size** `number`

Number of objects per page.

**data** `object`

Array of objects

**properties**

**id** `string`

A unique Store id created for every store.

**locationName** `string`

Location Name.

**addressLine1** `string`

address Line 1.

**addressLine2** `string`

address Line 2.

**addressPostalCode** `string`

Address postal code.

**primary** `boolean`

Store is primary or not.

**enabled** `boolean`

Store is enabled or not.

**images** `array`

Merchant Store images that are visible to customers during the checkout process.

**totalCount** `number` (default: 0)

Total number of stores

```json 200 theme={null}
{
  "page": 0,
  "size": 20,
  "data": [
    {
      "id": "549000a4-eee4-4b7d-bc88-c529a92544cd",
      "locationName": "cambridge",
      "addressLine1": "UNIT 3 BOLNEY GRANGE INDUSTRIAL PK ",
      "addressLine2": "49 THE MARTLETS",
      "addressPostalCode": "PO16 7GZ",
      "cityOrTown": "England",
      "primary": "true",
      "enabled": "true",
      "images": "[image-url]"
    }
  ],
  "totalCount": 1
}
```

```json 400 theme={null}
{
  "name": "BAD_REQUEST",
  "message": "merchant not found",
  "status": 400,
  "errors": "[]"
}
```

```json 401 theme={null}
{
  "name": "UNAUTHORIZED",
  "message": "Unauthorized",
  "status": 401,
  "errors": "[]"
}
```

```json 404 theme={null}
{
  "name": "RESOURCE NOT FOUND",
  "message": "Resource not found",
  "status": 404,
  "errors": "[]"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.